Subject: Re: FVWM: i can't run fvwm 2.4

From: Dominik Vogt <[email-masked]>
Date: Mon, 2 Sep 2002 11:01:14 +0200

On Thu, Aug 29, 2002 at 07:13:18PM +0100, John Latham wrote:
> > Date: Thu, 29 Aug 2002 10:17:29 +0200
> > From: Dominik Vogt <[email-masked]>
> 
> > > I > was building a Red Hat ready fvwm2.5.2 RPM
> >
> > > which we are probably going to use here at Manchester CS.
> >
> > Don't do that!  It's not even alpha quality.
> 
> I can't decide whether your are advising using 2.5.3, or 2.4.9 instead! :-)
> 
> 2.5.2 does *seem* very stable.

> I have used it everyday since early July, and
> it has not crashed. :-) All (certainly most) of the ~700 users will be using
> the same configuration package as I have been using, i.e. AnotherLevelUp
> (otherwise it would be a little dangerous, I agree). I have added a patch to
> fix the task bar start button context problem I reported yesterday (thanks for
> fixing in CVS, Mikhael). The most persuasive motive for using 2.5 rather than
> 2.4 is it's extra features that *might* help in the desperate war against the
> Java/FVWM mismatch -- which has reached critical status now that all our
> undergraduates write so much Java.... :-(

Don't let perceived stability fool you.  You just haven't
triggered the buggy or crashing parts.  That's fine for you as an
individual, but don't underestimate the creativity of 700 users.
Oh, and bugs that were introduced and fixed in the development
versions *don't* show up in the NEWS, only in the ChangeLog.

Furthermore, *if* you stumble across a problem that is really bad,
you may be forced to upgrade to a version that's very unstable.
Right now I'm planning to rewrite major parts of the menu loop,
the builtin command interface and the main event loop - three of
fvwm's most central parts.

> Meanwhile, I have switched to using 2.5.3 personally -- so far so good. I have
> probably got about 3 weeks to try 2.5.3 and use that instead if there have
> been no serious problems.
> 
> My current reasoning is this: 2.5.2 was alpha last month, and the problems
> found in it since did not screw up AnotherLevelUp. Now, 2.5.3 is alpha, but it
> has not been tested with AnotherLevelUp for a month! Maybe the problems in
> 2.5.3 will screw up AnotherLevelUp -- I'll let you know if they do, but while
> I find out, 2.5.2 is actually a safer bet!!!!

Just to make this clear:  No 2.5.x release was 'alpha' quality
yet.  Being 'alpha' means that it is good enough to consider
heading for a stable release after extensive tests have been done.
That's why it's called a 'development release' in the NEWS.

> Of course, I'll have RPMS for 2.4.[6-9] up my sleeve in case the worst should
> happen.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, mail: [email-masked], phone: 0721/91374-382
Schlund + Partner AG, Erbprinzenstr. 4-12, D-76133 Karlsruhe
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Bruce M Beach <[email-masked]>
Date: Mon, 2 Sep 2002 18:23:49 +0000 (UTC)

On Mon, 2 Sep 2002, Dominik Vogt wrote:

> > Meanwhile, I have switched to using 2.5.3 personally --

   I had been using 2.5.3 but had a lot of problems with the mouse
   and drop down menus and switched back to 2.5.2. Typically if I'm
   above an xterm (say) and move the mouse rapidly up and down a root
   drop down menu, eventually it looses the menu and highlights the
   xterm. I have a dual processor 2.1Ghz  motherboard so I don't think
   its some kind of a speed issue, but I also have a tiny usb mouse,
   and it zips all over the screen.

   Bruce.